aboutsummaryrefslogtreecommitdiffstats
path: root/script.sh
diff options
context:
space:
mode:
authormarcoveeneman <marco-veeneman@hotmail.com>2017-04-18 21:29:04 +0200
committerGitHub <noreply@github.com>2017-04-18 21:29:04 +0200
commit4cf565a7e8f2ee3fa027334f2fc391910b9d8941 (patch)
tree32b81bd5e83b66b80d725eaf2e92df32cc6b69f5 /script.sh
parent97aaabeedd53ec16147696f8b44b16ee43d86a99 (diff)
parentde1789b78383ae59e4428627beae848ae430b48b (diff)
downloadChibiOS-Contrib-4cf565a7e8f2ee3fa027334f2fc391910b9d8941.tar.gz
ChibiOS-Contrib-4cf565a7e8f2ee3fa027334f2fc391910b9d8941.tar.bz2
ChibiOS-Contrib-4cf565a7e8f2ee3fa027334f2fc391910b9d8941.zip
Merge pull request #1 from marcoveeneman/tiva_travis_ci
Initial Travis CI support.
Diffstat (limited to 'script.sh')
-rw-r--r--script.sh42
1 files changed, 42 insertions, 0 deletions
diff --git a/script.sh b/script.sh
new file mode 100644
index 0000000..457a38f
--- /dev/null
+++ b/script.sh
@@ -0,0 +1,42 @@
+#!/bin/sh
+
+set -ex
+
+export PATH=/tmp/gcc-arm-none-eabi-4_9-2015q3/bin:$PATH
+
+git checkout -- .
+git clean -xfd
+make -C demos/TIVA/RT-TM4C123G-LAUNCHPAD
+
+git checkout -- .
+git clean -xfd
+make -C demos/TIVA/RT-TM4C1294-LAUNCHPAD
+
+# This demo needs LWIP, it is disabled for now.
+# git checkout -- .
+# git clean -xfd
+# make -C demos/TIVA/RT-TM4C1294-LAUNCHPAD-LWIP
+
+git checkout -- .
+git clean -xfd
+make -C testhal/TIVA/TM4C123x/EXT/
+
+git checkout -- .
+git clean -xfd
+make -C testhal/TIVA/TM4C123x/GPT
+
+git checkout -- .
+git clean -xfd
+make -C testhal/TIVA/TM4C123x/I2C
+
+git checkout -- .
+git clean -xfd
+make -C testhal/TIVA/TM4C123x/PWM
+
+git checkout -- .
+git clean -xfd
+make -C testhal/TIVA/TM4C123x/SPI
+
+git checkout -- .
+git clean -xfd
+make -C testhal/TIVA/TM4C123x/WDG